Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class StreetType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.StreetType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:11:51+02:00",
               comments="JAXB RI v2.2.11")
    public class StreetType

extends Object
implements Serializable

Code and description of street of HealthCare Actor.

Java class for StreetType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StreetType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NSICode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}Description" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`StreetType()`

Method Summary
`List<Description>` | `getDescriptions()` Gets the value of the descriptions property.
`String` | `getNSICode()` Gets the value of the nsiCode property.
`void` | `setNSICode(String value)` Sets the value of the nsiCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreetType

    public StreetType()

Method Detail

### getNSICode

    public String getNSICode()

  Gets the value of the nsiCode property.

  Returns:
    possible object is `String`

### setNSICode

    public void setNSICode(String value)

  Sets the value of the nsiCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescriptions

    public List<Description> getDescriptions()

  Gets the value of the descriptions property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the descriptions property.

  For example, to add a new item, do as follows:

          getDescriptions().add(newItem);

  Objects of the following type(s) are allowed in the list `Description`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.